[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Forms' (#lcl)

# TCloseQueryEvent

Specifies an OnCloseQuery handler event handler.

## Declaration

Source position: forms.pp line 506

`type TCloseQueryEvent = procedure(`
`Sender: TObject;`
`var CanClose: Boolean`
`) of object;`

## Arguments

`Sender` |  | The form that received an Close request.
`CanClose` |  | Set to False to deny closing.

## Description

TCloseQueryEvent is an object procedure type which specifies the event handler signalled to determine if a form can be closed.

TCloseQueryEvent is the type used to implement the OnCloseQuery property in TCustomForm. An application must implement an object procedure using the signature for the event handler to allow responding to the notification.

## See also

TCustomForm.OnCloseQuery |  | Event handler signalled when trying to close a form.